package es.unican.docencia.y2012.ed.delegados;

/**
 * Clase circulo
 * @author Pablo Sanchez (p.sanchez@unican.es)
 *         http://personales.unican.es/sanchezbp
 *   
 */
public class Circulo implements ICirculo {

	int radio; // Inv: radio > 0
	int x, y; 
	
	/**
	 * Crea un nuevo crculo a partir de las coordenadas de su
	 * centro y de su radio
	 * @param x La abscisa de las coordenadas del centro
	 * @param y La ordenada de las coordenadas del centro
	 * @param radio El radio del crculo
	 */
	public Circulo(int x, int y, int radio) {
		this.radio = radio;
		this.x     = x;
		this.y     = y;
	} // Circulo
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#getRadio()
	 */
	@Override
	public int getRadio() {
		return radio;
	} // getRadio
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#setRadio(int)
	 */
	@Override
	public void setRadio(int radio) {
		this.radio = radio;
	} // getRadio
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#getX()
	 */
	@Override
	public int getX() {
		return x;
	} // getX
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#setX(int)
	 */
	@Override
	public void setX(int x) {
		this.x = x;
	} // setX
	
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#getY()
	 */
	@Override
	public int getY() {
		return y;
	} // getY
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#setY(int)
	 */
	@Override
	public void setY(int y) {
		this.y = y;
	} // setY
	
} // Circulo
