package es.unican.docencia.y2012.ed.delegados;

/**
 * Interfaz a implementar por todas aquellas clases que se 
 * quieran considerar un crculo
 * 
 * @author Pablo Snchez (p.sanchez@unican.es)
 * http://personales.unican.es/sanchezbp
 *
 */
public interface ICirculo {

	/**
	 * Devuelve el radio del crculo
	 * @return El radio del crculo
	 */
	public int getRadio(); // getRadio

	/**
	 * Asigna el valor que se le pasa como parmetro 
	 * al radio del crculo 
	 * @param radio El radio del crculo  
	 */
	public void setRadio(int radio); // getRadio

	/**
	 * Devuelve el valor de la abscisa para las coordenadas
	 * del centro del circulo 
	 * @return El valor de la coordenada  
	 */
	public int getX(); // getX

	/**
	 * Asigna el valor de la abscisa para las coordenadas 
	 * del centro crculo 
	 * @param x El valor de la nueva abscisa
	 */
	public void setX(int x); // setX

	/**
	 * Devuelve el valor de la ordenada para las coordenadas
	 * del centro del crculo 
	 * @return El valor de la ordenada actual  
	 */
	public int getY(); // getY

	/**
	 * Asigna el valor de la ordenada para las coordenadas 
	 * del centro crculo 
	 * @param x El valor de la nueva ordenada
	 */
	public void setY(int y); // setY

}