package es.unican.docencia.y2012.ed.delegados;

/**
 * Interfaz a implementar por todas aquellas clases que se 
 * quieran considerar un cuadrado
 * 
 * @author Pablo Snchez (p.sanchez@unican.es)
 * http://personales.unican.es/sanchezbp
 *
 */
public interface ICuadrado {

	/**
	 * Getter del lado
	 * @return El lado
	 */
	public int getLado();

	/**
	 * Setter del lado
	 * @param lado Valor del lado
	 */
	public void setLado(int lado);
	
	/**
	 * Devuelve el valor de la abscisa para las coordenadas
	 * del centro del cuadrado 
	 * @return El valor de la coordenada  
	 */
	public int getX(); 

	/**
	 * Asigna el valor de la abscisa para las coordenadas 
	 * del centro del cuadrado
	 * @param x El valor de la nueva abscisa
	 */
	public void setX(int x); 

	/**
	 * Devuelve el valor de la ordenada para las coordenadas
	 * del centro del cuadrado 
	 * @return El valor de la ordenada actual  
	 */
	public int getY(); 

	/**
	 * Asigna el valor de la ordenada para las coordenadas 
	 * del centro del cuadrado
	 * @param x El valor de la nueva ordenada
	 */
	public void setY(int y); 

} // ICuadrado